pods 报错There may only be up to 1 unique SWIFT_VERSION per target

  1. 云栖社区>
  2. 博客>
  3. 正文

pods 报错There may only be up to 1 unique SWIFT_VERSION per target

1291731906826133 2018-01-17 10:44:00 浏览671
展开阅读全文

zhangpengdeMacBook-Pro:Jump zhangpeng$ pod install

Analyzing dependencies

[!] There may only be up to 1 unique SWIFT_VERSION per target. Found target(s) with multiple Swift versions:

Jump: Swift 

Jump: Swift 3.0

[!] Smart quotes were detected and ignored in your Podfile. To avoid issues in the future, you should not use TextEdit for editing it. If you are not using TextEdit, you should turn off smart quotes in your editor of choice.

 

方法-> 工程->build setting -> 搜索swift_version ->设置swift_version3.0就好了!

网友评论

登录后评论
0/500
评论
1291731906826133
+ 关注